#bet-info-root {
  user-select: none;
}

/*region type-toggle and its children*/

ul#type-toggle {
  display: grid;
  grid-template-columns: 50% 50%;
  list-style: none;

  /*region Replaces top padding set on .mat-dialog-container, see styles.css for more info*/
  padding-top: 8px;

  padding-bottom: 8px;
  margin-bottom: 12px;
  border-bottom: solid;

  position: sticky;
  top: 0;
  background-color: white;

  z-index: 4;
}

ul#type-toggle > li:first-child {
  /*Close button container*/
  grid-column: 1/3;

  /*position to the end*/
  display: flex;
  justify-content: flex-end;
}

ul#type-toggle > li:last-child {
  /*Position BetHistory title to the end*/
  display: flex;
  justify-content: flex-end;
}

#bet-title, #pay-title {
  padding: 0 12px;
  display: inline-block; /*to wrap content*/
}

#bet-title:hover, #pay-title:hover {
  cursor: pointer;
}

#pay-title {
  text-align: left;
}

#bet-title {
  text-align: right;
}

/*endregion*/

.show-type {
  font-weight: bolder;
}

.hide-type {
  font-weight: lighter;
}

#pay-table {
  width: 100%;
}

caption#pay-table-cap {
  padding: 0 12px 12px;
}

.pay-table-td {
  text-align: center;
}

#footer-td {
  padding-top: 20px;
}

.history-card {
  padding: 8px;
  background-color: lightcyan;
  border-radius: 8px;
  margin-bottom: 8px;
}

.history-card:last-child {
  margin-bottom: 0 !important; /*Remove bottom margin from the last one*/
}

.history-details {
  display: grid;
  grid-template-columns: 50% max-content auto;
  min-height: 72px;
}

#no-history-container {
  padding: 12px;
}

.symbols {
  /*background-color: lightpink;*/
  grid-column: 1;
  grid-row: 1;

  display: flex; /*For centering*/
  align-items: center;
}

.history-msg {
  /*background-color: deepskyblue;*/
  grid-column: 2;
  grid-row: 1;
  padding: 16px 8px 8px;

  display: flex; /*For centering*/
  justify-content: center;
  align-items: center;
  z-index: 1; /*Bring in-front of .draw-time*/
}

.draw-time {
  grid-row: 1;
  grid-column: 2/4; /*Occupy the win cell too*/
  text-align: right;
  /*background-color: yellow;*/
  padding-top: 8px;
  padding-left: 8px;
}
